{% extends "shuup/front/base.jinja" %}
{% from "shuup/front/macros/general.jinja" import render_field with context %}

{% block title %}{% trans %}Log in{% endtrans %}{% endblock %}

{% block content_title %}{% endblock %}

{% block bodyclass %}login-page{% endblock %}

{% block navigation %}
    {{ render_navigation(show_quick_login=False) }}
{% endblock %}

{% block content %}
    <div class="condensed-content">
        <h1 class="page-header">
            {% trans %}Log in to your account{% endtrans %}
        </h1>
        {% if shuup.general.is_authenticated(user) %}
            <p class="lead my-4">
                {% trans username = user.get_full_name() if (user.first_name or user.last_name) else user -%}
                    You have already logged in as <strong>{{ username }}</strong>
                {%- endtrans %}
            </p>
            <a href="/" class="btn btn-white btn-lg-vertical btn-lg-horizontal">
                {% trans %}Go to Homepage{% endtrans %}
            </a>
        {% else %}
            <div class="login-wrapper my-4">
                {% for error in form.non_field_errors() %}
                    {{ macros.alert(error, mode="danger") }}
                {% endfor %}

                <form role="form" method="post" action="{{ request.path }}">
                    {% csrf_token %}
                    {% for f in form.hidden_fields() %}{{ f }}{% endfor %}
                    <div class="flex-row">
                        {% for f in form.visible_fields() %}
                            <div class="col">
                                {{ render_field(f, classes="custom-auth-input") }}
                            </div>
                        {% endfor %}
                    </div>
                    <div class="flex-row align-items-center">
                        <div class="col">
                            <button type="submit" class="btn btn-block btn-white btn-lg-vertical">
                                {% trans %}Log in{% endtrans %}
                            </button>
                        </div>
                        <div class="col hidden-xxs">
                            {{ forgot_password() }}
                        </div>
                    </div>
                </form>
            </div>

            <div class="visible-xxs mt-4">
                {{ forgot_password() }}
            </div>

            {% if shuup.urls.has_url("shuup:registration_register") %}
                <div class="mt-4">
                    <a class="text-underline" href="{{ url('shuup:registration_register') }}{% if next %}?next={{next}}{% endif %}">
                        {% trans %}Don't have an account yet? Sign up{% endtrans %}
                    </a>
                </div>
            {% endif %}
        </div>
    {% endif %}
{% endblock %}

{% macro forgot_password() %}
    <a class="text-underline" href="{{ url('shuup:recover_password') }}">
        {% trans %}Forgot password?{% endtrans %}
    </a>
{% endmacro %}
